## com.lowagie.text.rtf
Class RtfHeaderFooter

    java.lang.Object
      com.lowagie.text.Rectangle
          com.lowagie.text.HeaderFooter
              com.lowagie.text.rtf.RtfHeaderFooter

All Implemented Interfaces:
  Element, MarkupAttributes

public class RtfHeaderFooter
extends HeaderFooter

This HeaderFooter specialization extends the normal HeaderFooter impl. by the new ctor with 'Element' param. So we have the ability to add a table or some moe sophisticated stuff as header or footer content. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 1.19 $Date: 2004/12/14 15:14:44 $
Author:
  Steffen.Stundzig@smb-tec.com, Mark.Hall@myrealbox.com

Field Summary
`private Element` `content`

Fields inherited from class com.lowagie.text.HeaderFooter
``

Fields inherited from class com.lowagie.text.Rectangle
`background, border, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, color, LEFT, llx, lly, markupAttributes, NO_BORDER, RIGHT, rotation, TOP, UNDEFINED, urx, ury, useVariableBorders`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RtfHeaderFooter(Element content)` Constructs a new header
`RtfHeaderFooter(Phrase before, boolean numbered)` Constructs a new header
`RtfHeaderFooter(Phrase before, Phrase after)` Constructs a new header

Method Summary
`Element` `content()`

Methods inherited from class com.lowagie.text.HeaderFooter
`alignment, getAfter, getBefore, isNumbered, paragraph, setAlignment, setPageNumber`

Methods inherited from class com.lowagie.text.Rectangle

`backgroundColor, border, borderColor, borderWidth, bottom, bottom, cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getChunks, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getRotation, grayFill, hasBorder, hasBorders, height, isUseVariableBorders, left, left, normalize, process, rectangle, right, right, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidth, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setMarkupAttribute, setMarkupAttributes, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, top, top, toString, type, width`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.lowagie.text.MarkupAttributes
`getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, setMarkupAttribute, setMarkupAttributes`

Methods inherited from interface com.lowagie.text.Element
`getChunks, process, toString, type`

Field Detail

### content

    private Element content

Constructor Detail

### RtfHeaderFooter

    public RtfHeaderFooter(Phrase before,
                           Phrase after)

  Constructs a new header

Parameters:
  `before` -
  `after` -

### RtfHeaderFooter

    public RtfHeaderFooter(Phrase before,
                           boolean numbered)

  Constructs a new header

Parameters:
  `before` -
  `numbered` -

### RtfHeaderFooter

    public RtfHeaderFooter(Element content)

  Constructs a new header

Parameters:
  `content` -

Method Detail

### content

    public Element content()

  Returns:
    the element specified in the ctor or null;